CLASS TEMPL(3)

NAME
boost::is_recursive_wrapper - Determines whether the specified type is a specialization of recursive_wrapper.

SYNOPSIS

// In header: <boost/variant/recursive_wrapper.hpp>
template<typename T>
class is_recursive_wrapper {
public:
  // types
  typedef unspecified type;
  // static constants
  static const bool value = unspecified;
};

DESCRIPTION

Value is true iff T is a specialization of recursive_wrapper.

Note: is_recursive_wrapper is a model of MPL[1]'s IntegralConstant concept.